<?php

$config['permisos'][0]['nombre_grupo'] = 'Navegación';
$config['permisos'][0]['categorias']['920100'] = [
    'nombre_categoria' => 'TAGS',
    'icono' => 'fas fa-regular fa-pager',
    'clase' => 'success',
    'modulos' => [
        // Módulo Tabla de Configuraciones: Importe a Descontar por Cada Pase
        '920100' => [
            'nombre_modulo' => 'Tarifas por Pase',
            'sref' => 'main.tarifas_pase',
            'acciones' => [
                '920101' => [
                    'nombre_accion' => 'Ver listado de tarifas',
                    'state' => 'main.tarifas_pase',
                ],
                '920102' => [
                    'nombre_accion' => 'Agregar nueva tarifa',
                    'state' => 'main.tarifas_pase_agregar',
                ],
                '920103' => [
                    'nombre_accion' => 'Editar tarifa',
                    'state' => 'main.tarifas_pase_editar',
                ],
                '920104' => [
                    'nombre_accion' => 'Eliminar tarifa',
                    'state' => '',
                ],
            ]
        ],
        // Módulo Tarjetas
        '920200' => [
            'nombre_modulo' => 'Tarjetas TAG',
            'sref' => 'main.tags_lista',
            'acciones' => [
                '920201' => [
                    'nombre_accion' => 'Tarjetas',
                    'state' => 'main.tags_lista',
                ],
                '920202' => [
                    'nombre_accion' => 'Baja de tarjeta',
                    'state' => '',
                ],
                '920203' => [
                    'nombre_accion' => 'Recarga de tarjeta',
                    'state' => 'main.tag_recharge',
                ],
                '920204' => [
                    'nombre_accion' => 'Asignar numero economico de tarjeta',
                    'state' => 'main.tag_asignar',
                ],
                '920205' => [
                    'nombre_accion' => 'Crear nuevo TAG',
                    'state' => 'main.tag_agregar',
                ],
                '920206' => [
                    'nombre_accion' => 'Ver gestor de recargas',
                    'state' => 'main.tags_recargas',
                ],
                '920207' => [
                    'nombre_accion' => 'Imprimir ticket de recarga',
                    'state' => '',
                ],
                '920208' => [
                    'nombre_accion' => 'Ver gestor de asignaciones',
                    'state' => 'main.tags_asignaciones',
                ],
                '920209' => [
                    'nombre_accion' => 'Gestión completa de TAG: Crear, Asignar y Recargar',
                    'state' => 'main.tag_asignar_recargar',
                ],
            ]
        ],
        // Módulo Ventas
        '920300' => [
            'nombre_modulo' => 'Reportes de Recargas',
            'sref' => 'main.ventas_tag',
            'acciones' => [
                '920301' => [
                    'nombre_accion' => 'Ventas',
                    'state' => 'main.ventas_tag',
                ],
                '920302' => [
                    'nombre_accion' => 'Exportación del listado de ventas a hoja de cálculo',
                    'state' => '',
                ],
                '920303' => [
                    'nombre_accion' => 'Exportación del listado de ventas a PDF',
                    'state' => '',
                ],
                '920304' => [
                    'nombre_accion' => 'Impresión de ticket de recargas',
                    'state' => '',
                ],
                '920305' => [
                    'nombre_accion' => 'Ver histórico de recargas',
                    'state' => '',
                ],
            ]
        ],
       // Módulo Registro de Movimientos de TAGS
       '920400' => [
        'nombre_modulo' => 'Movimientos de TAGS',
        'sref' => 'main.movimientos_tag',
        'acciones' => [
            '920401' => [
                'nombre_accion' => 'Ver listado de movimientos',
                'state' => 'main.movimientos_tag',
            ],
            '920402' => [
                'nombre_accion' => 'Exportar movimientos a Excel',
                'state' => '',
            ],
            '920403' => [
                'nombre_accion' => 'Exportar movimientos a PDF',
                'state' => '',
            ],
            '920404' => [
                'nombre_accion' => 'Reprocesar movimientos pendientes',
                'state' => '',
            ],
            '920405' => [
                'nombre_accion' => 'Ver detalles de movimiento',
                'state' => '',
            ],
            '920406' => [
                'nombre_accion' => 'Sincronizar eventos desde dispositivos',
                'state' => '',
            ],
        ]
    ],
       // Módulo de Caja
        '920500' => [
            'nombre_modulo' => 'Caja',
            'sref' => 'main.caja_tag',
            'acciones' => [
                '920501' => [
                    'nombre_accion' => 'Caja',
                    'state' => 'main.caja_tag',
                ],
                '920502' => [
                    'nombre_accion' => 'Retiro de caja',
                    'state' => 'main.caja_tag_retiro',
                ],
                '920503' => [
                    'nombre_accion' => 'Generar retiro de caja',
                    'state' => '',
                ],
                '920504' => [
                    'nombre_accion' => 'Generar arqueo de caja',
                    'state' => 'main.caja_tag_arqueo',
                ],
                '920505' => [
                    'nombre_accion' => 'Generar cierre de caja',
                    'state' => 'main.caja_tag_cierre',
                ],
                '920506' => [
                    'nombre_accion' => 'Reimprimir comprobante de retiro de caja',
                    'state' => '',
                ],
            ]
        ],
            
        // ================== MÓDULOS HIKVISION ISAPI ACTUALIZADOS ==================
        
        // Módulo Configuración de API Hikvision
        '920600' => [
            'nombre_modulo' => 'Configuración Hikvision',
            'sref' => 'main.hikvision_config',
            'acciones' => [
                '920601' => [
                    'nombre_accion' => 'Sincronizar con Hikvision',
                    'state' => '',
                ],
                '920602' => [
                    'nombre_accion' => 'Configurar dispositivos Hikvision',
                    'state' => 'main.hikvision_config',
                ],
                '920603' => [
                    'nombre_accion' => 'Editar dispositivo Hikvision',
                    'state' => '',
                ],
                '920604' => [
                    'nombre_accion' => 'Probar conectividad ISAPI',
                    'state' => '',
                ],
                '920605' => [
                    'nombre_accion' => 'Ver información de dispositivos',
                    'state' => '',
                ],
            ]
        ],

        // NUEVO: Módulo Control de Acceso en Tiempo Real
        '920700' => [
            'nombre_modulo' => 'Control de Acceso',
            'sref' => 'main.control_acceso',
            'acciones' => [
                '920701' => [
                    'nombre_accion' => 'Panel de control de acceso',
                    'state' => 'main.control_acceso',
                ],
                '920702' => [
                    'nombre_accion' => 'Abrir puerta manualmente',
                    'state' => '',
                ],
                '920703' => [
                    'nombre_accion' => 'Controlar barrera vehicular',
                    'state' => '',
                ],
                '920704' => [
                    'nombre_accion' => 'Validar TAG manualmente',
                    'state' => '',
                ],
                '920705' => [
                    'nombre_accion' => 'Simular acceso con TAG',
                    'state' => '',
                ],
                '920706' => [
                    'nombre_accion' => 'Configurar modo de puertas',
                    'state' => '',
                ],
                '920707' => [
                    'nombre_accion' => 'Ver eventos en tiempo real',
                    'state' => '',
                ],
                '920708' => [
                    'nombre_accion' => 'Ver estadísticas de acceso',
                    'state' => '',
                ],
                '920709' => [
                    'nombre_accion' => 'Monitorear estado de dispositivos',
                    'state' => '',
                ],
                '920710' => [
                    'nombre_accion' => 'Obtener eventos desde dispositivos',
                    'state' => '',
                ],
            ]
        ],

        // NUEVO: Módulo Logs y Auditoría de Acceso
        '920800' => [
            'nombre_modulo' => 'Logs de Acceso',
            'sref' => 'main.access_logs',
            'acciones' => [
                '920801' => [
                    'nombre_accion' => 'Ver logs de acceso',
                    'state' => 'main.access_logs',
                ],
                '920802' => [
                    'nombre_accion' => 'Ver accesos denegados',
                    'state' => '',
                ],
                '920803' => [
                    'nombre_accion' => 'Ver eventos ISAPI raw',
                    'state' => '',
                ],
                '920804' => [
                    'nombre_accion' => 'Exportar logs a Excel',
                    'state' => '',
                ],
                '920805' => [
                    'nombre_accion' => 'Exportar logs a PDF',
                    'state' => '',
                ],
                '920806' => [
                    'nombre_accion' => 'Limpiar logs antiguos',
                    'state' => '',
                ],
            ]
        ],

        // NUEVO: Módulo Configuración del Sistema ISAPI
        '920900' => [
            'nombre_modulo' => 'Configuración ISAPI',
            'sref' => 'main.isapi_config',
            'acciones' => [
                '920901' => [
                    'nombre_accion' => 'Configurar parámetros ISAPI',
                    'state' => 'main.isapi_config',
                ],
                '920902' => [
                    'nombre_accion' => 'Configurar sincronización automática',
                    'state' => '',
                ],
                '920903' => [
                    'nombre_accion' => 'Configurar retención de logs',
                    'state' => '',
                ],
                '920904' => [
                    'nombre_accion' => 'Configurar webhooks',
                    'state' => '',
                ],
                '920905' => [
                    'nombre_accion' => 'Configurar modo debug',
                    'state' => '',
                ],
                '920906' => [
                    'nombre_accion' => 'Ver estadísticas del sistema',
                    'state' => '',
                ],
            ]
        ],
    ],
];

$config['permisos'][1]['nombre_grupo'] = 'Configuraciones';
$config['permisos'][1]['categorias']['1610000'] = [
    'nombre_categoria' => 'Configuración',
    'icono' => 'fas fa-user-cog',
    'clase' => 'secondary',
    'modulos' => [
        '1610100' => [
            'nombre_modulo' => 'Usuarios',
            'sref' => 'main.usuarios_lista',
            'acciones' => [
                '1610101' => [
                    'nombre_accion' => 'Lista usuarios',
                    'state' => 'main.usuarios_lista',
                    'bottom-icon' => 'fas fa-user-cog',
                    'bottom-text' => 'Usuarios',
                ],
                '1610102' => [
                    'nombre_accion' => '- Agregar usuario',
                    'state' => 'main.usuario_agregar',
                ],
                '1610103' => [
                    'nombre_accion' => '- Editar usuario',
                    'state' => 'main.usuario_editar',
                ],
                '1610104' => [
                    'nombre_accion' => '- Inactivar usuario',
                    'state' => '',
                ],
                '1610105' => [
                    'nombre_accion' => '- Reactivar usuario',
                    'state' => '',
                ],
                '1610106' => [
                    'nombre_accion' => '- Enviar correo registro',
                    'state' => '',
                ],
            ]
        ],
        '1610200' => [
            'nombre_modulo' => 'Roles y Permisos',
            'sref' => 'main.roles_lista',
            'acciones' => [
                '1610201' => [
                    'nombre_accion' => 'Lista roles',
                    'state' => 'main.roles_lista',
                ],
                '1610202' => [
                    'nombre_accion' => '- Agregar rol',
                    'state' => 'main.rol_agregar',
                ],
                '1610203' => [
                    'nombre_accion' => '- Editar rol',
                    'state' => 'main.rol_editar',
                ],
                '1610204' => [
                    'nombre_accion' => '- Modificar permisos',
                    'state' => '',
                ],
            ],
        ],
        
    ],
];