<div style="font-family: 'Roboto', sans-serif; font-size: 9pt; line-height: 1.2;">
    <p style="text-align: center;"><b>Fecha:</b> <?= date('d/m/Y', strtotime($recarga['created_at'])) ?> &nbsp; <b>Hora:</b> <?= date('H:i:s', strtotime($recarga['created_at'])) ?></p>
    
    <table style="width: 100%; margin-bottom: 5px; border-collapse: collapse;">
        <tr>
            <td style="width: 40%; padding: 3px;"><b>Referencia:</b></td>
            <td style="width: 60%; padding: 3px;"><?= $recarga['referencia'] ?></td>
        </tr>
        <tr>
            <td style="padding: 3px;"><b>Número TAG:</b></td>
            <td style="padding: 3px;"><?= $recarga['numero_tag'] ?></td>
        </tr>
        <?php if(!empty($recarga['numero_economico'])): ?>
        <tr>
            <td style="padding: 3px;"><b>Número Económico:</b></td>
            <td style="padding: 3px;"><?= $recarga['modalidad_nombre'] ?> - <?= $recarga['numero_economico'] ?></td>
        </tr>
        <?php endif; ?>
        <tr>
            <td style="padding: 3px;"><b>Tipo Movimiento:</b></td>
            <td style="padding: 3px;"><?= $recarga['tipo_movimiento'] ?></td>
        </tr>
    </table>
    
    <table style="width: 100%; margin-top: 5px; margin-bottom: 5px; border-collapse: collapse;">
        <tr>
            <td style="width: 50%; padding: 3px; border-top: 1px dashed #000;"><b>Monto Recarga:</b></td>
            <td style="width: 50%; padding: 3px; text-align: right; border-top: 1px dashed #000;">$<?= number_format($recarga['monto'], 2) ?></td>
        </tr>
        <tr>
            <td style="padding: 3px;"><b>Saldo Anterior:</b></td>
            <td style="padding: 3px; text-align: right;">$<?= number_format($recarga['saldo_anterior'], 2) ?></td>
        </tr>
        <tr>
            <td style="padding: 3px; font-weight: bold; border-bottom: 1px dashed #000;"><b>Saldo Nuevo:</b></td>
            <td style="padding: 3px; text-align: right; font-weight: bold; border-bottom: 1px dashed #000;">$<?= number_format($recarga['saldo_nuevo'], 2) ?></td>
        </tr>
    </table>
    
    <?php if(!empty($recarga['comentario'])): ?>
    <div style="margin-top: 10px; margin-bottom: 10px;">
        <b>Comentario:</b><br>
        <?= $recarga['comentario'] ?>
    </div>
    <?php endif; ?>
    
    <div style="text-align: center; margin-top: 15px; margin-bottom: 15px;">
        <p>Gracias por su recarga</p>
        <p style="font-size: 8pt;">Este comprobante no tiene valor fiscal</p>
    </div>
    
    <div style="text-align: center; margin-bottom: 10px;">
        <div style="font-size: 7pt; border-top: 1px dashed #000; padding-top: 5px;">
            Comprobante generado el <?= date('d/m/Y H:i:s') ?>
        </div>
    </div>
</div>