/* global angular, random */
angular.module("app").config([
    '$stateProvider',
    function ($stateProvider) {
        $stateProvider.state('main.ventas_tag', {
            url: '/ventas_recargas',
            templateUrl: 'templates/tags/ventas-tag.html' + random,
            controller: 'VentasTagCtrl',
            resolve: {
                loadMyCtrl: [
                    '$ocLazyLoad',
                    function ($ocLazyLoad) {
                        return $ocLazyLoad.load([
                            'js/controllers/ventas-tag-controllers.js' + random,
                            'js/services/ventas-tag-services.js' + random,
                            'js/services/tags-services.js' + random,
                            'js/services/numeros-economicos-services.js' + random,
                            'css/angular-moment-picker.min.css',
                            'js/modules/angular-moment-picker.min.js'
                        ]);
                    }
                ]
            }
        });
    }
]);