<?php
/**
 * Archivo de configuración para la sincronización
 * Contiene las configuraciones de base de datos y otras variables globales
 */

// Configuración de la base de datos
$db_config = [
    'host'     => 'localhost',  // Dirección del servidor MySQL
    'name'     => 'olimpica',   // Nombre de la base de datos
    'user'     => 'root',       // Usuario MySQL
    'pass'     => '',           // Contraseña (por defecto vacía en XAMPP)
    'charset'  => 'utf8'        // Juego de caracteres
];

// URL del endpoint para obtener los datos
$endpoint_url = 'http://74.208.26.126/caronte_test/public_html/index.php/api/numeros_economicos/get_all_numeros_economicos_activos_for_sync_olimpica';

// Otras configuraciones
$log_directorio = __DIR__ . '/../logs';

// Crear directorio de logs si no existe
if (!file_exists($log_directorio)) {
    mkdir($log_directorio, 0755, true);
}