-- MySQL dump 10.13  Distrib 8.0.19, for Win64 (x86_64)
--
-- Host: localhost    Database: olimpica
-- ------------------------------------------------------
-- Server version	5.5.5-10.4.27-MariaDB

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!50503 SET NAMES utf8mb4 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `hikvision_devices`
--

DROP TABLE IF EXISTS `hikvision_devices`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `hikvision_devices` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `nombre` varchar(100) NOT NULL,
  `ip_address` varchar(45) NOT NULL,
  `puerto` int(11) NOT NULL DEFAULT 80,
  `usuario` varchar(50) NOT NULL,
  `password` varchar(255) NOT NULL,
  `ubicacion` varchar(100) DEFAULT NULL,
  `tipo_acceso` enum('ENTRADA','SALIDA') NOT NULL,
  `status` tinyint(1) NOT NULL DEFAULT 1,
  `created_at` datetime NOT NULL,
  `updated_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `unique_ip_port` (`ip_address`,`puerto`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `hikvision_devices`
--

LOCK TABLES `hikvision_devices` WRITE;
/*!40000 ALTER TABLE `hikvision_devices` DISABLE KEYS */;
/*!40000 ALTER TABLE `hikvision_devices` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `logs`
--

DROP TABLE IF EXISTS `logs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `logs` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `usuario_id` int(10) unsigned NOT NULL,
  `table` varchar(120) NOT NULL,
  `row_table_id` int(10) unsigned NOT NULL,
  `data` longtext NOT NULL,
  `created_at` datetime NOT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE KEY `id_UNIQUE` (`id`) USING BTREE,
  KEY `fk_logs_usuarios1_idx` (`usuario_id`) USING BTREE,
  CONSTRAINT `logs_ibfk_1` FOREIGN KEY (`usuario_id`) REFERENCES `usuarios` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=28 DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `logs`
--

LOCK TABLES `logs` WRITE;
/*!40000 ALTER TABLE `logs` DISABLE KEYS */;
INSERT INTO `logs` VALUES (1,1,'modulos_acciones_roles',21,'{\"rol_id\":\"1\",\"modulo_accion_id\":\"920101\",\"status\":1,\"created_at\":\"2025-02-27 20:09:30\"}','2025-02-27 20:09:30'),(2,1,'modulos_acciones_roles',22,'{\"rol_id\":\"1\",\"modulo_accion_id\":\"920102\",\"status\":1,\"created_at\":\"2025-02-27 20:09:30\"}','2025-02-27 20:09:30'),(3,1,'modulos_acciones_roles',23,'{\"rol_id\":\"1\",\"modulo_accion_id\":\"920103\",\"status\":1,\"created_at\":\"2025-02-27 20:09:30\"}','2025-02-27 20:09:30'),(4,1,'modulos_acciones_roles',24,'{\"rol_id\":\"1\",\"modulo_accion_id\":\"920104\",\"status\":1,\"created_at\":\"2025-02-27 20:09:30\"}','2025-02-27 20:09:30'),(5,1,'modulos_acciones_roles',25,'{\"rol_id\":\"1\",\"modulo_accion_id\":\"920201\",\"status\":1,\"created_at\":\"2025-02-27 20:09:32\"}','2025-02-27 20:09:32'),(6,1,'modulos_acciones_roles',26,'{\"rol_id\":\"1\",\"modulo_accion_id\":\"920202\",\"status\":1,\"created_at\":\"2025-02-27 20:09:32\"}','2025-02-27 20:09:32'),(7,1,'modulos_acciones_roles',27,'{\"rol_id\":\"1\",\"modulo_accion_id\":\"920203\",\"status\":1,\"created_at\":\"2025-02-27 20:09:32\"}','2025-02-27 20:09:32'),(8,1,'modulos_acciones_roles',28,'{\"rol_id\":\"1\",\"modulo_accion_id\":\"920204\",\"status\":1,\"created_at\":\"2025-02-27 20:09:32\"}','2025-02-27 20:09:32'),(9,1,'modulos_acciones_roles',29,'{\"rol_id\":\"1\",\"modulo_accion_id\":\"920205\",\"status\":1,\"created_at\":\"2025-02-27 20:09:32\"}','2025-02-27 20:09:32'),(10,1,'modulos_acciones_roles',30,'{\"rol_id\":\"1\",\"modulo_accion_id\":\"920301\",\"status\":1,\"created_at\":\"2025-02-27 20:09:34\"}','2025-02-27 20:09:34'),(11,1,'modulos_acciones_roles',31,'{\"rol_id\":\"1\",\"modulo_accion_id\":\"920302\",\"status\":1,\"created_at\":\"2025-02-27 20:09:34\"}','2025-02-27 20:09:34'),(12,1,'modulos_acciones_roles',32,'{\"rol_id\":\"1\",\"modulo_accion_id\":\"920303\",\"status\":1,\"created_at\":\"2025-02-27 20:09:34\"}','2025-02-27 20:09:34'),(13,1,'modulos_acciones_roles',33,'{\"rol_id\":\"1\",\"modulo_accion_id\":\"920304\",\"status\":1,\"created_at\":\"2025-02-27 20:09:34\"}','2025-02-27 20:09:34'),(14,1,'modulos_acciones_roles',34,'{\"rol_id\":\"1\",\"modulo_accion_id\":\"920305\",\"status\":1,\"created_at\":\"2025-02-27 20:09:34\"}','2025-02-27 20:09:34'),(15,1,'modulos_acciones_roles',35,'{\"rol_id\":\"1\",\"modulo_accion_id\":\"920401\",\"status\":1,\"created_at\":\"2025-02-27 20:09:37\"}','2025-02-27 20:09:37'),(16,1,'modulos_acciones_roles',36,'{\"rol_id\":\"1\",\"modulo_accion_id\":\"920402\",\"status\":1,\"created_at\":\"2025-02-27 20:09:37\"}','2025-02-27 20:09:37'),(17,1,'modulos_acciones_roles',37,'{\"rol_id\":\"1\",\"modulo_accion_id\":\"920403\",\"status\":1,\"created_at\":\"2025-02-27 20:09:37\"}','2025-02-27 20:09:37'),(18,1,'modulos_acciones_roles',38,'{\"rol_id\":\"1\",\"modulo_accion_id\":\"920601\",\"status\":1,\"created_at\":\"2025-02-27 20:09:38\"}','2025-02-27 20:09:38'),(19,1,'modulos_acciones_roles',39,'{\"rol_id\":\"1\",\"modulo_accion_id\":\"920602\",\"status\":1,\"created_at\":\"2025-02-27 20:09:38\"}','2025-02-27 20:09:38'),(20,1,'modulos_acciones_roles',40,'{\"rol_id\":\"1\",\"modulo_accion_id\":\"920603\",\"status\":1,\"created_at\":\"2025-02-27 20:09:38\"}','2025-02-27 20:09:38'),(21,1,'modulos_acciones_roles',41,'{\"rol_id\":\"1\",\"modulo_accion_id\":\"1610101\",\"status\":1,\"created_at\":\"2025-02-27 20:09:41\"}','2025-02-27 20:09:41'),(22,1,'modulos_acciones_roles',42,'{\"rol_id\":\"1\",\"modulo_accion_id\":\"1610102\",\"status\":1,\"created_at\":\"2025-02-27 20:09:41\"}','2025-02-27 20:09:41'),(23,1,'modulos_acciones_roles',43,'{\"rol_id\":\"1\",\"modulo_accion_id\":\"1610103\",\"status\":1,\"created_at\":\"2025-02-27 20:09:41\"}','2025-02-27 20:09:41'),(24,1,'modulos_acciones_roles',44,'{\"rol_id\":\"1\",\"modulo_accion_id\":\"1610104\",\"status\":1,\"created_at\":\"2025-02-27 20:09:41\"}','2025-02-27 20:09:41'),(25,1,'modulos_acciones_roles',45,'{\"rol_id\":\"1\",\"modulo_accion_id\":\"1610105\",\"status\":1,\"created_at\":\"2025-02-27 20:09:41\"}','2025-02-27 20:09:41'),(26,1,'modulos_acciones_roles',46,'{\"rol_id\":\"1\",\"modulo_accion_id\":\"1610106\",\"status\":1,\"created_at\":\"2025-02-27 20:09:41\"}','2025-02-27 20:09:41'),(27,1,'tarifas_pase',1,'{\"codigo\":\"C\",\"importe\":\"5\",\"descripcion\":\"\",\"status\":1,\"created_at\":\"2025-02-27 20:50:47\",\"updated_at\":\"2025-02-27 20:50:47\"}','2025-02-27 20:50:47');
/*!40000 ALTER TABLE `logs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `modulos_acciones_roles`
--

DROP TABLE IF EXISTS `modulos_acciones_roles`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `modulos_acciones_roles` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `rol_id` int(10) unsigned NOT NULL,
  `modulo_accion_id` int(10) unsigned NOT NULL,
  `status` tinyint(4) NOT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE KEY `id_UNIQUE` (`id`) USING BTREE,
  KEY `fk_modulos_acciones_roles_modulos_acciones1_idx` (`modulo_accion_id`) USING BTREE,
  KEY `fk_modulos_acciones_roles_roles1_idx` (`rol_id`) USING BTREE,
  CONSTRAINT `fk_modulos_acciones_roles_roles1` FOREIGN KEY (`rol_id`) REFERENCES `roles` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=47 DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `modulos_acciones_roles`
--

LOCK TABLES `modulos_acciones_roles` WRITE;
/*!40000 ALTER TABLE `modulos_acciones_roles` DISABLE KEYS */;
INSERT INTO `modulos_acciones_roles` VALUES (1,1,1610201,1,'2022-02-16 19:06:29',NULL),(2,1,1610202,1,'2022-02-16 19:06:43',NULL),(3,1,1610203,1,'2022-02-17 18:17:23',NULL),(4,1,1610204,1,'2022-02-17 18:17:36',NULL),(5,1,1010101,1,'2022-03-04 10:54:45','2022-03-04 10:54:45'),(6,1,1010102,1,'2022-03-04 10:54:46',NULL),(7,1,1010201,1,'2022-03-28 14:11:32',NULL),(8,1,1010202,1,'2022-03-28 14:11:54',NULL),(9,1,1010301,-1,'2022-07-01 10:38:03','2022-09-07 02:36:46'),(10,1,1010602,-1,'2022-07-01 10:38:16','2022-09-07 02:36:46'),(11,1,1010303,1,'2022-07-21 16:58:35',NULL),(12,1,1010304,1,'2022-07-21 17:03:15',NULL),(13,1,1010305,1,'2022-07-21 20:15:04',NULL),(14,1,1510201,1,'2022-07-22 19:39:20',NULL),(15,1,1510202,1,'2022-07-22 20:08:24',NULL),(16,1,1510203,1,'2022-07-22 20:08:25',NULL),(17,1,1510204,1,'2022-07-22 20:08:27',NULL),(18,1,1510205,1,'2022-07-22 20:08:28',NULL),(19,1,1510301,1,'2022-07-22 20:51:11',NULL),(20,1,1510302,1,'2022-07-22 20:51:12',NULL),(21,1,920101,1,'2025-02-27 20:09:30',NULL),(22,1,920102,1,'2025-02-27 20:09:30',NULL),(23,1,920103,1,'2025-02-27 20:09:30',NULL),(24,1,920104,1,'2025-02-27 20:09:30',NULL),(25,1,920201,1,'2025-02-27 20:09:32',NULL),(26,1,920202,1,'2025-02-27 20:09:32',NULL),(27,1,920203,1,'2025-02-27 20:09:32',NULL),(28,1,920204,1,'2025-02-27 20:09:32',NULL),(29,1,920205,1,'2025-02-27 20:09:32',NULL),(30,1,920301,1,'2025-02-27 20:09:34',NULL),(31,1,920302,1,'2025-02-27 20:09:34',NULL),(32,1,920303,1,'2025-02-27 20:09:34',NULL),(33,1,920304,1,'2025-02-27 20:09:34',NULL),(34,1,920305,1,'2025-02-27 20:09:34',NULL),(35,1,920401,1,'2025-02-27 20:09:37',NULL),(36,1,920402,1,'2025-02-27 20:09:37',NULL),(37,1,920403,1,'2025-02-27 20:09:37',NULL),(38,1,920601,1,'2025-02-27 20:09:38',NULL),(39,1,920602,1,'2025-02-27 20:09:38',NULL),(40,1,920603,1,'2025-02-27 20:09:38',NULL),(41,1,1610101,1,'2025-02-27 20:09:41',NULL),(42,1,1610102,1,'2025-02-27 20:09:41',NULL),(43,1,1610103,1,'2025-02-27 20:09:41',NULL),(44,1,1610104,1,'2025-02-27 20:09:41',NULL),(45,1,1610105,1,'2025-02-27 20:09:41',NULL),(46,1,1610106,1,'2025-02-27 20:09:41',NULL);
/*!40000 ALTER TABLE `modulos_acciones_roles` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `numeros_economicos`
--

DROP TABLE IF EXISTS `numeros_economicos`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `numeros_economicos` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `numero_economico_modalidad_id` int(10) unsigned NOT NULL,
  `numero_economico` varchar(6) NOT NULL,
  `codigo` varchar(3) DEFAULT NULL,
  `modalidad_nombre` varchar(35) NOT NULL DEFAULT '',
  `unidad_id` int(10) DEFAULT NULL,
  `numero_serie_niv` varchar(35) DEFAULT NULL,
  `modelo` varchar(4) DEFAULT NULL,
  `numero_motor` varchar(25) DEFAULT NULL,
  `marca_nombre` varchar(35) DEFAULT NULL,
  `submarca_nombre` varchar(35) DEFAULT NULL,
  `status` tinyint(1) NOT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `id_UNIQUE` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `numeros_economicos`
--

LOCK TABLES `numeros_economicos` WRITE;
/*!40000 ALTER TABLE `numeros_economicos` DISABLE KEYS */;
/*!40000 ALTER TABLE `numeros_economicos` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `roles`
--

DROP TABLE IF EXISTS `roles`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `roles` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `rol_nombre` varchar(45) NOT NULL,
  `status` tinyint(1) NOT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE KEY `id_UNIQUE` (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `roles`
--

LOCK TABLES `roles` WRITE;
/*!40000 ALTER TABLE `roles` DISABLE KEYS */;
INSERT INTO `roles` VALUES (1,'superusuario',1,'2025-01-01 00:00:01',NULL);
/*!40000 ALTER TABLE `roles` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tags`
--

DROP TABLE IF EXISTS `tags`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `tags` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `numero_tag` varchar(50) NOT NULL,
  `saldo` decimal(10,2) DEFAULT 0.00,
  `fecha_activacion` datetime DEFAULT NULL,
  `fecha_vencimiento` datetime DEFAULT NULL,
  `status` tinyint(1) NOT NULL DEFAULT 1,
  `created_at` datetime NOT NULL,
  `updated_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `numero_tag_unique` (`numero_tag`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tags`
--

LOCK TABLES `tags` WRITE;
/*!40000 ALTER TABLE `tags` DISABLE KEYS */;
/*!40000 ALTER TABLE `tags` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tags_movimientos`
--

DROP TABLE IF EXISTS `tags_movimientos`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `tags_movimientos` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `tag_id` int(10) unsigned NOT NULL,
  `tipo_movimiento` enum('RECARGA','CONSUMO','AJUSTE') NOT NULL,
  `monto` decimal(10,2) NOT NULL,
  `saldo_anterior` decimal(10,2) NOT NULL,
  `saldo_nuevo` decimal(10,2) NOT NULL,
  `referencia` varchar(100) DEFAULT NULL,
  `comentario` text DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `fk_tags_movimientos_tags` (`tag_id`),
  CONSTRAINT `fk_tags_movimientos_tags` FOREIGN KEY (`tag_id`) REFERENCES `tags` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tags_movimientos`
--

LOCK TABLES `tags_movimientos` WRITE;
/*!40000 ALTER TABLE `tags_movimientos` DISABLE KEYS */;
/*!40000 ALTER TABLE `tags_movimientos` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tags_movimientos_hikvision`
--

DROP TABLE IF EXISTS `tags_movimientos_hikvision`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `tags_movimientos_hikvision` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `tag_id` int(10) unsigned NOT NULL,
  `device_id` int(10) unsigned NOT NULL,
  `fecha_movimiento` datetime NOT NULL,
  `tipo_movimiento` enum('ENTRADA','SALIDA') NOT NULL,
  `processed` tinyint(1) NOT NULL DEFAULT 0,
  `processed_at` datetime DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_tag_fecha` (`tag_id`,`fecha_movimiento`),
  KEY `idx_device_fecha` (`device_id`,`fecha_movimiento`),
  CONSTRAINT `fk_tags_movimientos_hikvision_devices` FOREIGN KEY (`device_id`) REFERENCES `hikvision_devices` (`id`),
  CONSTRAINT `fk_tags_movimientos_hikvision_tags` FOREIGN KEY (`tag_id`) REFERENCES `tags` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tags_movimientos_hikvision`
--

LOCK TABLES `tags_movimientos_hikvision` WRITE;
/*!40000 ALTER TABLE `tags_movimientos_hikvision` DISABLE KEYS */;
/*!40000 ALTER TABLE `tags_movimientos_hikvision` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tags_numeros_economicos`
--

DROP TABLE IF EXISTS `tags_numeros_economicos`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `tags_numeros_economicos` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `tag_id` int(10) unsigned NOT NULL,
  `numero_economico_id` int(10) unsigned NOT NULL,
  `fecha_asignacion` datetime NOT NULL,
  `fecha_baja` datetime DEFAULT NULL,
  `comentario_asignacion` text DEFAULT NULL,
  `comentario_baja` text DEFAULT NULL,
  `status` tinyint(1) NOT NULL DEFAULT 1,
  `created_at` datetime NOT NULL,
  `updated_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `fk_tags_numeros_economicos_tags` (`tag_id`),
  KEY `fk_tags_numeros_economicos_numeros_economicos` (`numero_economico_id`),
  CONSTRAINT `fk_tags_numeros_economicos_numeros_economicos` FOREIGN KEY (`numero_economico_id`) REFERENCES `numeros_economicos` (`id`),
  CONSTRAINT `fk_tags_numeros_economicos_tags` FOREIGN KEY (`tag_id`) REFERENCES `tags` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tags_numeros_economicos`
--

LOCK TABLES `tags_numeros_economicos` WRITE;
/*!40000 ALTER TABLE `tags_numeros_economicos` DISABLE KEYS */;
/*!40000 ALTER TABLE `tags_numeros_economicos` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tarifas_pase`
--

DROP TABLE IF EXISTS `tarifas_pase`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `tarifas_pase` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `codigo` varchar(3) NOT NULL COMMENT 'ID de la modalidad (referencia a numeros_economicos_modalidades)',
  `importe` decimal(10,2) NOT NULL COMMENT 'Importe a descontar por cada pase',
  `descripcion` varchar(255) DEFAULT NULL COMMENT 'Descripción opcional',
  `status` tinyint(1) NOT NULL DEFAULT 1 COMMENT '1=Activo, 0=Inactivo',
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='Tarifas para descontar por cada pase según modalidad';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tarifas_pase`
--

LOCK TABLES `tarifas_pase` WRITE;
/*!40000 ALTER TABLE `tarifas_pase` DISABLE KEYS */;
INSERT INTO `tarifas_pase` VALUES (1,'C',5.00,'',1,'2025-02-27 20:50:47','2025-02-27 20:50:47');
/*!40000 ALTER TABLE `tarifas_pase` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `usuarios`
--

DROP TABLE IF EXISTS `usuarios`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `usuarios` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `rol_id` int(10) unsigned NOT NULL,
  `username` varchar(250) NOT NULL,
  `password` char(40) NOT NULL,
  `email` varchar(150) NOT NULL,
  `email_code` varchar(45) DEFAULT '',
  `status` tinyint(4) NOT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE KEY `id_UNIQUE` (`id`) USING BTREE,
  KEY `fk_usuarios_roles1_idx` (`rol_id`),
  CONSTRAINT `fk_usuarios_roles1` FOREIGN KEY (`rol_id`) REFERENCES `roles` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `usuarios`
--

LOCK TABLES `usuarios` WRITE;
/*!40000 ALTER TABLE `usuarios` DISABLE KEYS */;
INSERT INTO `usuarios` VALUES (1,1,'soporte','40bd001563085fc35165329ea1ff5c5ecbdbbeef',' ',' ',1,'2025-01-01 00:00:01',NULL);
/*!40000 ALTER TABLE `usuarios` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Dumping routines for database 'olimpica'
--
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2025-02-27 21:13:34
